Skip to main content
GET
/
v0
/
accounts
/
{account_id}
/
logs
List account logs
curl --request GET \
  --url https://api.tryarchitect.com/v0/accounts/{account_id}/logs \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "accountId": "<string>",
      "accountLogId": "<string>",
      "source": "<string>",
      "type": "<string>",
      "payload": {},
      "idempotencyKey": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ],
  "totalCount": 4503599627370495,
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

account_id
string
required

account_id parameter

Query Parameters

cursor
string

cursor parameter

includeDeleted
string

includeDeleted parameter

limit
number

limit parameter

Response

Successful operation

items
object[]
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required
nextCursor
string | null
required